;
; make mean zonal velocity
;
FUNCTION make_zom300, file_name, ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2, ZMTYP = zmtyp

@common
@com_eg
;
;
; Read W 
;
   file_nam = strmid(file_name, 0, strlen(file_name)-4)
   vargrid = 'U'
   old_boite = [lon1, lon2, lat1, lat2, prof1, prof2]
   domdef
   uvel = nc_read(file_nam+'U.nc','vozocrtx', ncdf_db,  TIME_1 = time_1,  TIME_2 =  time_2)

   zom300 = moyenne(uvel.data,'z', boite = [0, 300])

   domdef, old_boite

   field = {name: '', data: zom300, legend: '', units: '', origin: '', dim: 0}
   
   field.origin = uvel.origin
   field.dim = uvel.dim - 1

   return, field
END 
