; IDL Version 6.0 (linux x86 m32)
; Journal File for mklod@chromios.locean-ipsl.upmc.fr
; Working directory: /.autofs//home/mklod/IDL
; Date: Tue Mar 14 10:26:23 2006
 
;
; This is the initialisation file.
; it defines the !path and the defaut values of some of the common variables
;
; this is supposed to speed-up IDL...
;
; a = fltarr(1000,1000,100)
; a = 0
;
; path definition
;
!path = expand_path('+' + '/.autofs/home/mklod/SVN/POST_IT') $ ; procs local home
      + ':' + expand_path('+' + '/.autofs/home/mklod/SAXO_new_svn') $ ; saxo home
      + ':' + expand_path('+' + !dir)
;
; compatibility with the old version
;
keep_compatibility, 1
;
; define all the commons
;
@all_cm
;
; define default directories
;
homedir = isadirectory('/.autofs/home/mklod/SVN/POST_IT/', title = 'Select the default HOME directory')
iodir = isadirectory('/.autofs/home/mklod/SVN/POST_IT/', title = 'Select the default IO directory')
psdir = isadirectory('/.autofs/home/mklod/SVN/POST_IT/out/post_out/', title = 'Select the default postscripts directory')
imagedir = isadirectory('/.autofs/home/mklod/SVN/POST_IT/out/post_out/', title = 'Select the default images directory')
animdir = isadirectory('/.autofs/home/mklod/SVN/POST_IT/out/post_out/', title = 'Select the default animations directory')
;
; define printer parameters
;
printer_human_names = ''
printer_machine_names = ''
print_command = ''
;
; colors ...
;
device, decomposed = 0
device, retain = 2
lct, 39
;
; postscript parameters ...
;
key_portrait = 0
page_size = [20.9903, 29.7039]
windowsize_scale = 1.00000
archive_ps = 0
;
;========================================================
; end of the part that should be modified by the users...
;========================================================
;
; default definitions of many other common parameters...
jpiglo = 1L
jpjglo = 1L
jpkglo = 1L
jpidta = jpiglo
jpjdta = jpjglo
jpkdta = jpjglo
jpi = 1L
jpj = 1L
jpk = 1L
jpt = 1L
time = 0L
ixminmesh = -1L
ixmaxmesh = -1L
iyminmesh = -1L
iymaxmesh = -1L
izminmesh = -1L
izmaxmesh = -1L
ixmindta = 0L
ixmaxdta = jpidta-1
iymindta = 0L
iymaxdta = jpjdta-1
izmindta = 0L
izmaxdta = jpkdta-1
key_shift = 0L
key_periodic = 0L
key_yreverse = 0L
key_zreverse = 0L
key_stride = [1, 1, 1]
ccmeshparameters ={filename:'No File', filetype:'nothing' $
, jpiglo:jpiglo, jpjglo:jpjglo, jpkglo:jpkglo $
, jpi:jpi, jpj:jpj, jpk:jpk $
, ixminmesh:ixminmesh, ixmaxmesh:ixmaxmesh $
, iyminmesh:iyminmesh, iymaxmesh:iymaxmesh $
, izminmesh:izminmesh, izmaxmesh:izmaxmesh $
, key_shift:key_shift, key_periodic:key_periodic $
, triangulation:-1, boundary:[-180, 180]}
ccreadparameters = {funclec_name:'No File' $
, jpidta:jpidta, jpjdta:jpjdta, jpkdta:jpkdta $
, ixmindta:ixmindta, ixmaxdta:ixmaxdta $
, iymindta:iymindta, iymaxdta:iymaxdta $
, izmindta:izmindta, izmaxdta:izmaxdta}
lon1 = 0
lon2 = 1
lat1 = 0
lat2 = 1
vert1 = 0
vert2 = 1
valmask = 1.e20
vargrid = 'T'
varname = ''
varexp = ''
varunit = ''
vardate= '0'
@updateold
;

@init_post_it
